## org.gnu.gtk
Class CellEditable

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.CellEditable

public class CellEditable
extends GObject

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`CellEditable()`

Method Summary
`void` `addListener(CellEditableListener listener)` Register an object to handle button events.
`void` `editingDone()`
`protected static int` `findListener(java.util.Vector list, java.lang.Object listener)` Give us a way to locate a specific listener in a Vector.
`protected void` `fireCellEditableEvent(CellEditableEvent event)`
`java.lang.Class` `getEventListenerClass(java.lang.String signal)`
`EventType` `getEventType(java.lang.String signal)`
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`protected static void` `gtk_cell_editable_editing_done(Handle cellEditable)`
`protected static int` `gtk_cell_editable_get_type()`
`protected static void` `gtk_cell_editable_remove_widget(Handle cellEditable)`
`protected static void` `gtk_cell_editable_start_editing(Handle cellEditable, Handle event)`
`protected static Handle` `newObject()`
`void` `removeListener(CellEditableListener listener)` Removes a listener
`void` `removeWidget()`
`void` `startEditing(Event event)`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CellEditable

    public CellEditable()

Method Detail

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.

### startEditing

    public void startEditing(Event event)

### editingDone

    public void editingDone()

### removeWidget

    public void removeWidget()

### addListener

    public void addListener(CellEditableListener listener)

  Register an object to handle button events.

  See Also:
    `CellEditableListener`

### removeListener

    public void removeListener(CellEditableListener listener)

  Removes a listener

  See Also:
    `addListener(CellEditableListener)`

### findListener

    protected static int findListener(java.util.Vector list,
                                      java.lang.Object listener)

  Give us a way to locate a specific listener in a Vector.

  Parameters:
    `list` - The Vector of listeners to search.
    `listener` - The object that is to be located in the Vector.
  Returns:
    Returns the index of the listener in the Vector, or -1 if the listener is not contained in the Vector.

### fireCellEditableEvent

    protected void fireCellEditableEvent(CellEditableEvent event)

### getEventListenerClass

    public java.lang.Class getEventListenerClass(java.lang.String signal)

  Overrides:
    `getEventListenerClass` in class `GObject`

### getEventType

    public EventType getEventType(java.lang.String signal)

  Overrides:
    `getEventType` in class `GObject`

### newObject

    protected static final Handle newObject()

### gtk_cell_editable_get_type

    protected static final int gtk_cell_editable_get_type()

### gtk_cell_editable_start_editing

    protected static final void gtk_cell_editable_start_editing(Handle cellEditable,
                                                                Handle event)

### gtk_cell_editable_editing_done

    protected static final void gtk_cell_editable_editing_done(Handle cellEditable)

### gtk_cell_editable_remove_widget

    protected static final void gtk_cell_editable_remove_widget(Handle cellEditable)